mandos (1.8.19-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Package: mandos/Suggests) Remove suggestion of old
    Python 2.6 (for IN.SO_BINDTODEVICE); it upsets package analysis
    tools to see references to Python 2.  (Closes: #1107761)
  * debian/control (Package: mandos-client/Depends): Add dependency on
    "systemd-cryptsetup" (for newer systemd), or "systemd (<< 256-2)" for
    when cryptsetup support was included in the systemd package itself, or
    "sysvinit-core" for installations without systemd.
  * debian/control (Standards-Version): Change to "4.7.2".

 -- Teddy Hogeborn <teddy@recompile.se>  Fri, 27 Jun 2025 22:04:18 +0200

mandos (1.8.18-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Source: mandos/Build-Depends): Fix lintian warning
    "build-depends-on-obsolete-package" by changing "pkg-config" to
    "pkgconf | pkg-config".
  * debian/mandos-client.lintian-overrides: Override experimental tag
    "executable-in-usr-lib" about files which are not actually executed
    from this location, and only exist to be copied to the initial RAM
    disk image.  Also the Dracut module-setup.sh file, which merely
    follows the pattern of all other Dracut module-setup.sh files from
    other Dracut modules.
  * debian/control (Package: mandos/Suggests): Add "python3 (>= 3.3)" and
    "python (<= 2.6)" as alternatives to "libc6-dev | libc-dev" and
    "c-compiler".  This avoids suggesting a C compiler unnecessarily.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 24 Nov 2024 16:14:16 +0100

mandos (1.8.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Package: mandos/Depends): Fix "mandos: Depends on
    transition package gnupg2" by removing "gnupg2 |".  (Closes: #1055402)
  * debian/control (Source: mandos/Build-Depends): Fix "Please switch
    Build-Depends to systemd-dev" by preferring systemd-dev to older
    systemd (Closes: #1060546)
  * Fix "reportbug: mandos-client does not include gpg-agent in initramfs"
    by first trying the new library name, libgpgme11t64 (Closes: #1077927)
  * Fix "mandos-client postrm purge can mysteriously fail" by making sure
    that the maintainer scripts do not output anything to standard output
    (Closes: #1079588)
  * debian/mandos-client.postinst (update_initramfs): Add "1>&2" to
    invocations of update-initramfs and /etc/kernel/postinst.d/dracut.
    (add_mandos_user): Add "1>&2" to invocations of usermod, groupmod, and
    adduser.
    (create_keys): Add "1>&2" to invocations of mandos-keygen,
    gpg-connect-agent, certtool, and openssl.
    (create_dh_params): Add "1>&2" to invocations of certtool and openssl.
    Add "--force" option to "rm".
  * debian/mandos-client.postrm (update_initramfs): Add "1>&2" to
    invocations of update-initramfs and /etc/kernel/postinst.d/dracut.
  * Fix "mandos lost mandos.service systemd unit" by getting the correct
    directory names from pkg-config (Closes: #1069689)
  * debian/mandos-client.dirs (usr/lib/sysusers.d): Removed.
  * debian/mandos.dirs (lib/systemd/system, usr/lib/tmpfiles.d,
    usr/lib/sysusers.d): Removed.
  * debian/rules (PKG_CONFIG): New; copied from Makefile.
  * (override_dh_installdirs-indep): New; run dh_installdirs twice:  first
    normally, and again for the systemd unit file directory and the
    directories for the "tmpfilesdir" and "sysusersdir" variables from
    pkg-config.
    (override_dh_installdirs-arch): New; create directory for the
    "sysusersdir" variable from pkg-config.
  * debian/mandos.dirs: Change D-Bus policy directory
    "/etc/dbus-1/session.d" to "/usr/share/dbus-1/session.d".
  * debian/mandos.maintscript: New; remove the old D-Bus policy file.
  * debian/mandos-client.README.Debian: Fix spelling.
  * debian/mandos-client.README.Debian: Remove unnecessary word "simply".
    Also add instructions on how to add the --connect= options to
    mandos-client when using dracut.
  * debian/mandos-client.postrm: Also shred(1) tls-privkkey.pem, just like
    with seckey.txt.
  * debian/mandos-client.postinst (update_initramfs): When using dracut,
    but the initramfs image file does not yet exist (due to the kernel
    package not having been configured), create a new empty file with the
    correct permissions, so that dracut will use the correct permissions
    when creating the initramfs image file.
  * debian/control (Package: mandos/Depends): Add "libgnutls30t64" as an
    alternative to libgnutls30.
  * debian/mandos-client.lintian-overrides: Change to new lintian "pointed
    hints" syntax.
  * debian/mandos.lintian-overrides: - '' -
  * debian/control (Standards-Version): Change to "4.7.0".

 -- Teddy Hogeborn <teddy@recompile.se>  Thu, 12 Sep 2024 18:59:04 +0200

mandos (1.8.16-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install mandos.service again. (Closes: #1069689)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 22 Apr 2024 21:13:43 +0200

mandos (1.8.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend only on gnupg instead of transitional gnupg2 (Closes: #1055402).
  * Build-Depend on systemd-dev instead of systemd (Closes: #1060546).
  * Build-Depend on pkgconf instead of pkg-config.
  * (Build-)Depend on current libgnutls.

 -- Bastian Germann <bage@debian.org>  Fri, 19 Apr 2024 13:08:30 +0200

mandos (1.8.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules (override_dh_fixperms-arch): Make sure dh_fixperms also
    is applied to the directory
    /usr/share/doc/mandos-client/examples/network-hooks.d (but still not
    to the files therein).
  * debian/po/pt_BR.po: Add Brazilian Portuguese translation of the
    debconf template (Closes: #1026400).
  * debian/po/fr.po: Add missing whitespace to the id and translation
    for msgid " key_id = <HEXSTRING>".
  * debian/control (Standards-Version): Change to "4.6.2".

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 08 Feb 2023 00:58:24 +0100

mandos (1.8.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/po/fr.po: Add missing whitespace to the id and translation
    for msgid " ${key_id}".
  * debian/mandos-client.lintian-overrides: Remove all empty commented
    lines.  Rename "setuid-binary" tag to "elevated-privileges".
  * debian/control (Standards-Version): Change to "4.6.0".
  * debian/copyright: Update copyright year to 2022.
  * debian/po/es.po: Add Spanish translation of the debconf template
    (Closes: #987595).

 -- Teddy Hogeborn <teddy@recompile.se>  Mon, 25 Apr 2022 20:43:27 +0200

mandos (1.8.14-1) unstable; urgency=medium

  * New upstream release.  Includes workaround for #981302
  * debian/po/fr.po: Fix msgid to match template.

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 03 Feb 2021 09:53:29 +0100

mandos (1.8.13-1) unstable; urgency=medium

  * New upstream release.
  * Fix "password-agent autopkgtest does not seem to be reliable"
    by making the test more reliable (Closes: #975457)
  * debian/mandos-client.templates: Rename "_description" header to
    "_Description".
  * debian/control (Standards-Version): Change to "4.5.1".

 -- Teddy Hogeborn <teddy@recompile.se>  Mon, 30 Nov 2020 19:15:43 +0100

mandos (1.8.12-1) unstable; urgency=medium

  * New upstream release.
  * Fix "FTBFS with glibc 2.31 (uses removed stime function)" by using
    clock_settime() instead. (Closes: #964226)
  * debian/copyright: Update copyright year to 2020.

 -- Teddy Hogeborn <teddy@recompile.se>  Sat, 04 Jul 2020 14:58:26 +0200

mandos (1.8.11-1) unstable; urgency=medium

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 08 Apr 2020 20:37:32 +0200

mandos (1.8.10-1) unstable; urgency=medium

  * Fix "[INTL:pt] Updated Portuguese translation - debconf messages"
    by including the contributed translation (Closes: #942595)
  * Fix "[INTL:nl] Dutch translation of debconf messages" by including the
    contributed translation (Closes: #946006)
  * Fix "flaky autopkgtest on arm64" by skipping the flaky test on
    non-amd64 (Closes: #953799)
  * debian/control (Standards-Version): Update to "4.5.0".

 -- Teddy Hogeborn <teddy@recompile.se>  Sat, 21 Mar 2020 17:45:01 +0100

mandos (1.8.9-2) unstable; urgency=medium

  * Fix failing autopkgtest.
  * debian/tests/control (mandos-check/Restrictions): Add "allow-stderr".

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 04 Sep 2019 23:14:06 +0200

mandos (1.8.9-1) unstable; urgency=medium

  * New upstream release.
  * Fix "Python2 removal in sid/bullseye" by using Python 3 instead
    (Closes: #936987)
  * debian/control (Build-Depends, Build-Depends-Indep): Move "systemd"
    from indep to regular build-depends.
    (Build-Depends-Indep, Package: mandos/Depends): Depend on Python 3 and
    Python 3 modules instead of Python 2.

 -- Teddy Hogeborn <teddy@recompile.se>  Tue, 03 Sep 2019 20:58:27 +0200

mandos (1.8.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/po/de.po: New; Fix "[INTL:de] Initial German debconf
    translation" by including the contributed translation (Closes:
    #934373)
  * debian/po/fr.po: New; Fix "[INTL:fr] French debconf templates
    translation" by including the contributed translation (Closes:
    #934888)
  * debian/po/sv.po: New Swedish translation.
  * debian/mandos.postinst: Only reload D-Bus daemon if new user was
    created.
  * debian/mandos.dirs (usr/lib/sysusers.d): New.
  * debian/mandos-client.dirs (usr/lib/sysusers.d): - '' -

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 18 Aug 2019 22:01:13 +0200

mandos (1.8.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata: New.
  * debian/mandos-client.postrm: Use the same logic as the
    update_initramfs function in debian/mandos-client.postinst.
  * debian/mandos-client.templates (mandos-client/key_id): Line which
    should not be wrapped should be prefixed by a space.
  * debian/mandos.templates (mandos/key_id): - '' -
  * debian/po/en_US.po: New "translation" from ASCII to UTF-8.
  * debian/po/templates.pot: Updated.
  * debian/source/lintian-overrides
    (package-uses-old-debhelper-compat-version): New; set to "10".
  * debian/mandos-client.lintian-overrides
    (maintainer-script-supports-ancient-package-version): New.
    debian/mandos.lintian-overrides
    (maintainer-script-supports-ancient-package-version): - '' -

 -- Teddy Hogeborn <teddy@recompile.se>  Mon, 05 Aug 2019 23:22:00 +0200

mandos (1.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Fix "mandos FTCBFS: hard codes build architecture pkg-config"
    by making pkg-config overridable (Closes: #933701)
  * debian/mandos.postinst (configure): After creating (or renaming) user
    & group, reload D-Bus daemon (if present).

 -- Teddy Hogeborn <teddy@recompile.se>  Sat, 03 Aug 2019 14:51:01 +0200

mandos (1.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Fix "does not reap children" by reaping children (Closes: #933387)
  * debian/mandos-client.README.Debian: Use new-style interface name.
  * debian/tests/control: New file; implements autopkgtest support.
  * debian/mandos-client.lintian-overrides
    (manpage-has-errors-from-man): Remove; unnecessary.
  * debian/mandos.lintian-overrides
    (init.d-script-needs-depends-on-lsb-base): - '' -
  * debian/mandos-client.postinst (update_initramfs): Upstream now
    supports dracut(8), so update commands here to and run the correct
    command to update initramfs.
  * debian/control (Build-Depends): Add GLib -dev package.
    (mandos-client/Depends): Add dracut(8) as an alternative dependency to
    initramfs-tools.
    (mandos-client/Conflicts): New; set to "dracut-config-generic".
    (debian/mandos-client.README.Debian): Update for dracut(8) support.
  * debian/mandos-client.templates: Reflowed by debconf-gettextize(1).
  * debian/mandos.templates: - '' -
  * debian/po/POTFILES.in: New.
  * debian/po/templates.pot: - '' -
  * debian/source/lintian-overrides: New.
  * debian/control (Standards-Version): Update to "4.4.0".

 -- Teddy Hogeborn <teddy@recompile.se>  Tue, 30 Jul 2019 20:41:29 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mandos-client`.
